"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
exports.__esModule = true;
var React = require("react");
var react_1 = require("@storybook/react");
var _1 = require(".");
var config = {
    groupBy: 'Years',
    linearAxis: {
        axisLabel: 'Rainfall (mm)',
        indicator: 'Rainfall'
    },
    categoryAxis: {
        axisLabel: 'Months',
        indicator: 'Months'
    }
};
var data = [
    { Rainfall: 1000000, Years: '1992', Months: 'Jan' },
    { Rainfall: 2000000, Years: '1992', Months: 'Feb' },
    { Rainfall: 1200000, Years: '1992', Months: 'Mar' },
    { Rainfall: 2700000, Years: '1992', Months: 'Apr' },
    { Rainfall: 2300000, Years: '1992', Months: 'May' },
    { Rainfall: 2100000, Years: '1992', Months: 'Jun' },
    { Rainfall: 1230000, Years: '1993', Months: 'Jan' },
    { Rainfall: 2340000, Years: '1993', Months: 'Feb' },
    { Rainfall: 3420000, Years: '1993', Months: 'Mar' },
    { Rainfall: 2340000, Years: '1993', Months: 'Apr' },
    { Rainfall: 3540000, Years: '1993', Months: 'May' },
    { Rainfall: 1230000, Years: '1993', Months: 'Jun' }
];
var props = { config: config, data: data, height: '300px' };
react_1.storiesOf('Stacked Bar', module).add('Brazil config', function () {
    return (React.createElement("div", { style: { width: '40%', padding: '50px' } },
        React.createElement(_1["default"], __assign({}, props))));
});
